<?php
/**
 * Help module integration.
 */

/**
 * Implements hook_help().
 */
function sexybookmarks_help($path, $arg) {
  switch ($path) {
    case 'admin/help#sexybookmarks':
      return "<p>\n"
           . '  ' . t('The SexyBookmarks for Drupal module is a port of the WordPress plug-in by the same name.') . "\n"
           . "</p>\n"
           . "<p>\n"
           . ' ' . t('The sole aim was to stray away from the "in the box" thinking behind most social bookmarking plugins, and add a little flair that would entice your readers, rather than deterring them with microscopic icons that get lost in pages heavy laden with content.') . "\n"
           . "</p>\n"
           . "<p>&nbsp;</p>\n"
           . '<h3>' . t('Table of Contents') . "</h3>\n"
           . '<a href="#profiles">' . t('Setting up profiles') . '</a> | <a href="#display">' . t('Displaying SexyBookmarks') ."</a>\n"
           . "<p>&nbsp;</p>\n"
           . '<h3><a name="profiles"></a>' . t('Setting up profiles') . "</h3>\n"
           . "<p>\n"
           . '  ' . t('Profiles are sets of configuration, allowing you to have use different settings in different conditions (e.g., use different Social bookmarking services for different Content types).') . "\n"
           . "</p>\n"
           . "<p>\n"
           . '  ' . t('Profiles can be managed at') . ":<br />\n"
           . '  &nbsp;&nbsp;' . l(t('Administration &raquo; Configuration &raquo; Content authoring &raquo SexyBookmarks'), 'admin/config/content/sexybookmarks', array('html' => TRUE)) . "\n"
           . "</p>\n"
           . '<strong>' . t('Creating/Editing a profile') . "</strong>\n"
           . "<p>\n"
           . '  ' . t('A profile consists of four sections of configuration') . ":\n"
           . "</p>\n"
           . "<ol>\n"
           . "  <li><strong>" . t('Core settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Name') . "</strong></dt>\n"
           . "      <dd>" . t('The unique ID of the SexyBookmarks profile, this can only consist of lowercase letters, underscores, and numbers.') . "</dd>\n"
           . "      <dt><strong>" . t('Active/Inactive services') . "</strong></dt>\n"
           . "      <dd>" . t('The Social Bookmarking services, they are drag and drop sortable, both to set the order and status of the service.') . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "  <li><strong>" . t('Functionality settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Include Facebook Like button') . "</strong></dt>\n"
           . "      <dd>" . t('Include a Facebook Like button with your SexyBookmarks widget.') . "</dd>\n"
           . "      <dt><strong>" . t('Facebook Like button location') . "</strong></dt>\n"
           . "      <dd>" . t('Position the Facebook Like button (if set) should appear.') . "</dd>\n"
           . "      <dt><strong>" . t('Show Share counters') . "</strong></dt>\n"
           . "      <dd>" . t('Display Share counters for Facebook, Twitter, Google Buzz and Delicious.') . "</dd>\n"
           . "      <dt><strong>" . t('Use Designer Tooltips') . "</strong></dt>\n"
           . "      <dd>" . t('Show CSS Tooltips.') . "</dd>\n"
           . "      <dt><strong>" . t('Background Color for Tooltips') . "</strong></dt>\n"
           . "      <dd>" . t('Background Color for Tooltips (if set), configurable via Color wheel or using valid CSS color values.') . "</dd>\n"
           . "      <dt><strong>" . t('Text Color for Tooltips') . "</strong></dt>\n"
           . "      <dd>" . t('Text Color for Tooltips (if set), configurable via Color wheel or using valid CSS color values.') . "</dd>\n"
           . "      <dt><strong>" . t('Add Nofollow to Links') . "</strong></dt>\n"
           . "      <dd>" . t('Prevent Robots from following the Social Bookmark link.') . "</dd>\n"
           . "      <dt><strong>" . t('Open Links in New Window') . "</strong></dt>\n"
           . "      <dd>" . t('Whether Social Bookmark link should be opened in a new browser window/tab.') . "</dd>\n"
           . "      <dt><strong>" . t('Show Shareaholic Link') . "</strong></dt>\n"
           . "      <dd>" . t('Show a Shareaholic link.') . "</dd>\n"
           . "      <dt><strong>" . t('Which URL Shortener') . "</strong></dt>\n"
           . "      <dd>" . t('Which URL Shortener service to use for short links. The !shorten module can also be selected (if present), which will use it\'s settings to shorten all links sent to the Social Bookmarking service.', array('!shorten' => l(t('Shorten URLs'), 'http://drupal.org/project/shorten'))) . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "  <li><strong>" . t('Twitter settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Configure Custom Tweet Template') . "</strong></dt>\n"
           . "      <dd>" . t('A template for the format of the Tweet. More information can be found in the description of the setting.') . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "  <li><strong>" . t('Aesthetic settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Animate-expand multi-lined bookmarks') . "</strong></dt>\n"
           . "      <dd>" . t('Whether SexyBookmarks widget should expand on mouseover.') . "</dd>\n"
           . "      <dt><strong>" . t('Auto-space/center the bookmarks') . "</strong></dt>\n"
           . "      <dd>" . t('How to visually render the chosen services.') . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "</ol>\n"
           . "<p>&nbsp;</p>\n"
           . '<h3><a name="display"></a>' . t('Displaying SexyBookmarks') . "</h3>\n"
           . "<p>\n"
           . '  ' . t('By default each Content type will be set to show the \'default\' SexyBookmarks profile, but there are multiple different ways to display the widget:') . "\n"
           . "</p>\n"
           . "<ul>\n"
           . '  <li><strong>' . t('Nodes') . "</strong>\n"
           . "    <p>\n"
           . '      ' . t('Each Node Content type has individual settings for both the !profile to be used and the !position of the widget on the Node.', array('!profile' => '<strong>' . t('profile') . '</strong>', '!position' => '<strong>' . t('position') . '</strong>')) . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('The !profile settings can be found in the Content types settings page (e.g., !url[content-type]) under !settings. Setting the profile to "!none" will disable the SexyBookmarks widget on this content type.', array('!profile' => '<strong>' . t('profile') . '</strong>', '!url' => url('admin/content/node-type/', array('absolute' => TRUE)), '!settings' => '<strong>' . t('SexyBookmarks settings') . '</strong>', '!none' => t('- None -'))) . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('The !position settings can be found in the Content types Mange fields page (e.g., !url[content-type]/fields), simply Drag and Drop the SexyBookmarks widget in the desired position.', array('!position' => '<strong>' . t('position') . '</strong>', '!url' => url('admin/content/node-type/', array('absolute' => TRUE)))) . "\n"
           . "    </p>\n"
           . "    <p>&nbsp;</p>\n"
           . "  </li>\n"
           . '  <li><strong>' . t('Display Suite') . "</strong>\n"
           . "    <p>\n"
           . '      ' . t('The !ds module can also be used to manage the !position of the SexyBookmarks widget per Content type and per Content type Build mode via the Build mode layout page (e.g., !url[content-type]/[build-mode]).', array('!ds' => l(t('Display Suite'), 'http://drupal.org/project/ds'), '!position' => '<strong>' . t('position') . '</strong>', '!url' => url('admin/build/ds/layout/', array('absolute' => TRUE)))) . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('The !profile is set via the Nodes !profile settings.', array('!profile' => '<strong>' . t('profile') . '</strong>')) . "\n"
           . "    </p>\n"
           . "    <p>&nbsp;</p>"
           . "  </li>\n"
           . '  <li><strong>' . t('CCK/Views fields') . "</strong>\n"
           . "    <p>\n"
           . '      ' . t('A !cck field formatter is provided for the !link and !nodereference modules, allowing either of those field types to be rendered as a SexyBookmarks widget via either CCK or !views.', array('!link' => l(t('Link'), 'http://drupal.org/project/link'), '!nodereference' => t('Node Reference'), '!cck' => l(t('CCK'), 'http://drupal.org/project/content'), '!views' => l(t('Views'), 'http://drupal.org/project/views'))) . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('Additionally, a !custom_formatters example formatter is provided to demonstrate how to add support for extra CCK field types.', array('!custom_formatters' => l(t('Custom Formatters'), 'http://drupal.org/project/custom_formatters'))) . "\n"
           . "    </p>\n"
           . "    <p>&nbsp;</p>"
           . "  </li>\n"
           . '  <li><strong>' . t('Views') . "</strong>\n"
           . "    <p>\n"
           . '      ' . t('Direct Views integration is also provided provided, adding a Views field for use with Field based Node views. Simply add the !sexybookmarks field to your view.', array('!sexybookmarks' => '<strong>' . t('Node') . ': ' . t('SexyBookmarks') . '</strong>')) . "\n"
           . "    </p>\n"
           . "    <p>&nbsp;</p>"
           . "  </li>\n"
           . '  <li><strong>' . t('Blocks') . "</strong>\n"
           . "    <p>\n"
           . '      ' . t('Two (2) blocks are available for use, allowing the SexyBookmarks widget to be rendered anywhere a block can be rendered.') . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('The two included blocks are !current and !site.', array('!current' => '<strong>' . t('Current URL') . '</strong>', '!site' => '<strong>' . t('Site URL') . '</strong>')) . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('Additionally, a !boxes example block is provided to demonstrate how to add extra blocks.', array('!boxes' => l(t('Boxes'), 'http://drupal.org/project/boxes'))) . "\n"
           . "    </p>\n"
           . "    <p>&nbsp;</p>"
           . "  </li>\n"
           . '  <li><strong>' . t('Drupal API theme() function - (Advanced users only)') . "</strong>\n"
           . "    <p>\n"
           . '    ' . t('The SexyBookmarks widget can also be rendered manually via it\'s theme function:') . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . "      <code>\n"
           . "        theme('sexybookmarks, array(<br />\n"
           . "        &nbsp;&nbsp;'profile' => '<em>" . t('profile') . "</em>',<br />\n"
           . "        &nbsp;&nbsp;'url' => '<em>" . t('url') . "</em>',<br />\n"
           . "        &nbsp;&nbsp;'title' => '<em>" . t('title') . "</em>',<br />\n"
           . "        ));\n"
           . "      </code>\n"
           . "    </p>\n"
           . "    <dl>\n"
           . '      <dt><em>' . t('profile') . "</em></dt>\n"
           . '      <dd>' . t('The machine name of an available SexyBookmarks profile.') . "</dd>\n"
           . '      <dt><em>' . t('url') . "</em></dt>\n"
           . '      <dd>' . t('The URL of the link you wish to share (defaults to current URL if left empty).') . "</dd>\n"
           . '      <dt><em>' . t('title') . "</em></dt>\n"
           . '      <dd>' . t('The title of the link you wish to share (defaults to current page title if left empty).') . "</dd>\n"
           . "    </dl>\n"
           . "    <p>&nbsp;</p>"
           . "  </li>\n"
           . "</ul>\n"
           . "<p>&nbsp;</p>\n";

  }
}
